﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ServiceModel.DomainServices.Client;
using SilverlightApplication6.Web;
using Telerik.Windows.Controls;

namespace SilverlightApplication6
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

        }

        private void MyRadDomainDataSource2_LoadingData(object sender, Telerik.Windows.Controls.DomainServices.LoadingDataEventArgs e)
        {
            if (OrdersGrid.SelectedItem != null)
                e.Query =
                    from products in ((sender as RadDomainDataSource).DomainContext as OrdersDomainContext).GetRelatedProductsQuery((OrdersGrid.SelectedItem as Order).OrderID)
                    select products;                                 
            else
                e.Query =
                     from orderDeatails in ((sender as RadDomainDataSource).DomainContext as OrdersDomainContext).GetProductsQuery()
                     select orderDeatails;
        }

        private void OrdersGrid_SelectionChanged(object sender, SelectionChangeEventArgs e)
        {
            MyRadDomainDataSource2.Load();            
        }       
    }
}
